package com.zcloud.primeport.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.primeport.dto.MkmjPassageAddCmd;
import com.zcloud.primeport.dto.MkmjPassagePageQry;
import com.zcloud.primeport.dto.MkmjPassageUpdateCmd;
import com.zcloud.primeport.dto.clientobject.MkmjPassageCO;

public interface MkmjPassageServiceI {
    PageResponse<MkmjPassageCO> listPage(MkmjPassagePageQry qry);

    SingleResponse<MkmjPassageCO> add(MkmjPassageAddCmd cmd);

    void edit(MkmjPassageUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    MkmjPassageCO getInfoById(Long id);

    Boolean checkName(String passageName, Long mkmjId, Long id);
}